#include <iostream>

using namespace std;

int main()
{
    const int SIZE = 5;
    int array[SIZE];

    cout << "Count elements: ";
    // реален брой елементи
    int n;
    cin >> n;

    while(n < 0 || n > SIZE)
    {
        cout << "n = ";
        cin >> n;
    }

    // въвеждаме стойности за елем. на масива
    for(int i = 0; i < n; ++i)
    {
        cout << "array[" << i << "] = ";
        cin >> array[i];
    }

    // извеждане на елементите на масива
    for(int i = 0; i < n; ++i)
    {
        cout << array[i] << ' ';
    }

    int i = 0;
    // проверка за две последователни еднакви стойности
    while(i < n - 1 && array[i] != array[i+1])
    {
        ++i;
    }

    if(i < n - 1)
    {
        cout << "There are two consecutive elements in the array!\n";
    }
    else
    {
        cout << "No consecutive elemets!\n";
    }

    // проверяваме дали х се среща сред елементите на масива
    int x;

    cout << "\nx = ";
    cin >> x;

    i = 0;
    while(i < n && array[i] != x)
    {
        cout << array[i] << " != " << x << endl;
        ++i;
    }

    if(i < n)
    {
        cout << x << " is found!\n";
    }
    else
    {
        cout << x << " is NOT found!\n";
    }

    // масималната стойност на елемент в масива
    int max = array[0], min = array[0];

    for(int i = 1; i < n; ++i)
    {
        if(max < array[i])
        {
            max = array[i];
        }

        if(min > array[i])
        {
            min = array[i];
        }
    }

    cout << "max = " << max << endl;
    cout << "min = " << min << endl;

    // намиране на средно-аритметично на елементите на масив
    int sum = 0;
    for(int i = 0; i <= n - 1 ; ++i)
    {
        sum = sum + array[i];
    }

    cout << "Avg: " << ((double)sum)/n << endl;

    // колко пъти x се среща в масива?
    int count = 0;
    for(i = 0; i < n; ++i)
    {
        if(array[i] == x)
            ++count;
    }

    cout << "count x: " << count << endl;

    return 0;
}
